Index: trunk/ippToPsps/test/fulltest.sh
===================================================================
--- trunk/ippToPsps/test/fulltest.sh	(revision 38823)
+++ trunk/ippToPsps/test/fulltest.sh	(revision 38836)
@@ -157,5 +157,6 @@
   # XXX this command will blow away an existing database!!
   mysql -h localhost -u dvo -pdvo -e "create database if not exists ipptopsps_test" || exit 3
-  mysql -h localhost -u dvo -pdvo ipptopsps_test < $IPPTOPSPS_DATA/ippToPspsDbSchema.sql || exit 2
+  mysql -h localhost -u dvo -pdvo ipptopsps_test < $IPPTOPSPS_DATA/ippToPspsDbSchema.sql || exit 3
+  echo " ---- init ipptopsps_test: done ----"
 endif
 
@@ -211,6 +212,6 @@
   echo "2000-01-01 00:00:00.0  " >> initbatch.dat # trange_start
   echo "2020-01-01 00:00:00.0  " >> initbatch.dat # trange_end
-  cat initbatch.dat | ippjython queue.py -test edit
-  if ($status) exit
+  ippjython queue.py -test edit < initbatch.dat
+  if ($status) exit 1
 
   echo ""
@@ -219,5 +220,5 @@
   rm -rf $OUTDIR/IN
   ippjython loader.py -test initbatch init -simtest < /dev/null
-  if ($status) exit
+  if ($status) exit 1
 endif
 
@@ -259,6 +260,6 @@
   echo "2000-01-01 00:00:00.0 " >> cambatch.dat # trange_start
   echo "2020-01-01 00:00:00.0 " >> cambatch.dat # trange_end
-  cat cambatch.dat | ippjython queue.py -test edit -simtest
-  if ($status) exit
+  ippjython queue.py -test edit -simtest < cambatch.dat
+  if ($status) exit 1
 endif
 
@@ -312,5 +313,5 @@
   echo "2000-01-01 00:00:00.0 " >> stackbatch.dat # trange_start
   echo "2020-01-01 00:00:00.0 " >> stackbatch.dat # trange_end
-  cat stackbatch.dat | ippjython queue.py -test edit -simtest
+  ippjython queue.py -test edit -simtest < stackbatch.dat
   if ($status) exit
 endif
@@ -368,5 +369,5 @@
   echo "2000-01-01 00:00:00.0 " >> objectbatch.dat # trange_start
   echo "2020-01-01 00:00:00.0 " >> objectbatch.dat # trange_end
-  cat objectbatch.dat | ippjython queue.py -test edit once -simtest
+  ippjython queue.py -test edit once -simtest < objectbatch.dat
   if ($status) exit
 endif
